<?php

namespace RecruitCrm\LogicMelon\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ApplicationScore StructType
 * @subpackage Structs
 */
class ApplicationScore extends AbstractStructBase
{
    /**
     * The sCultureID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sCultureID;
    /**
     * The sAPIKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sAPIKey;
    /**
     * The sUsername
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sUsername;
    /**
     * The sPassword
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sPassword;
    /**
     * The sAdvertID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sAdvertID;
    /**
     * The sAdvertCandidateID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sAdvertCandidateID;
    /**
     * The sScore
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sScore;
    /**
     * The sScoreAsJobOwner
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sScoreAsJobOwner;
    /**
     * Constructor method for ApplicationScore
     * @uses ApplicationScore::setSCultureID()
     * @uses ApplicationScore::setSAPIKey()
     * @uses ApplicationScore::setSUsername()
     * @uses ApplicationScore::setSPassword()
     * @uses ApplicationScore::setSAdvertID()
     * @uses ApplicationScore::setSAdvertCandidateID()
     * @uses ApplicationScore::setSScore()
     * @uses ApplicationScore::setSScoreAsJobOwner()
     * @param string $sCultureID
     * @param string $sAPIKey
     * @param string $sUsername
     * @param string $sPassword
     * @param string $sAdvertID
     * @param string $sAdvertCandidateID
     * @param string $sScore
     * @param string $sScoreAsJobOwner
     */
    public function __construct($sCultureID = null, $sAPIKey = null, $sUsername = null, $sPassword = null, $sAdvertID = null, $sAdvertCandidateID = null, $sScore = null, $sScoreAsJobOwner = null)
    {
        $this
            ->setSCultureID($sCultureID)
            ->setSAPIKey($sAPIKey)
            ->setSUsername($sUsername)
            ->setSPassword($sPassword)
            ->setSAdvertID($sAdvertID)
            ->setSAdvertCandidateID($sAdvertCandidateID)
            ->setSScore($sScore)
            ->setSScoreAsJobOwner($sScoreAsJobOwner);
    }
    /**
     * Get sCultureID value
     * @return string|null
     */
    public function getSCultureID()
    {
        return $this->sCultureID;
    }
    /**
     * Set sCultureID value
     * @param string $sCultureID
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationScore
     */
    public function setSCultureID($sCultureID = null)
    {
        // validation for constraint: string
        if (!is_null($sCultureID) && !is_string($sCultureID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sCultureID, true), gettype($sCultureID)), __LINE__);
        }
        $this->sCultureID = $sCultureID;
        return $this;
    }
    /**
     * Get sAPIKey value
     * @return string|null
     */
    public function getSAPIKey()
    {
        return $this->sAPIKey;
    }
    /**
     * Set sAPIKey value
     * @param string $sAPIKey
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationScore
     */
    public function setSAPIKey($sAPIKey = null)
    {
        // validation for constraint: string
        if (!is_null($sAPIKey) && !is_string($sAPIKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sAPIKey, true), gettype($sAPIKey)), __LINE__);
        }
        $this->sAPIKey = $sAPIKey;
        return $this;
    }
    /**
     * Get sUsername value
     * @return string|null
     */
    public function getSUsername()
    {
        return $this->sUsername;
    }
    /**
     * Set sUsername value
     * @param string $sUsername
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationScore
     */
    public function setSUsername($sUsername = null)
    {
        // validation for constraint: string
        if (!is_null($sUsername) && !is_string($sUsername)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sUsername, true), gettype($sUsername)), __LINE__);
        }
        $this->sUsername = $sUsername;
        return $this;
    }
    /**
     * Get sPassword value
     * @return string|null
     */
    public function getSPassword()
    {
        return $this->sPassword;
    }
    /**
     * Set sPassword value
     * @param string $sPassword
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationScore
     */
    public function setSPassword($sPassword = null)
    {
        // validation for constraint: string
        if (!is_null($sPassword) && !is_string($sPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sPassword, true), gettype($sPassword)), __LINE__);
        }
        $this->sPassword = $sPassword;
        return $this;
    }
    /**
     * Get sAdvertID value
     * @return string|null
     */
    public function getSAdvertID()
    {
        return $this->sAdvertID;
    }
    /**
     * Set sAdvertID value
     * @param string $sAdvertID
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationScore
     */
    public function setSAdvertID($sAdvertID = null)
    {
        // validation for constraint: string
        if (!is_null($sAdvertID) && !is_string($sAdvertID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sAdvertID, true), gettype($sAdvertID)), __LINE__);
        }
        $this->sAdvertID = $sAdvertID;
        return $this;
    }
    /**
     * Get sAdvertCandidateID value
     * @return string|null
     */
    public function getSAdvertCandidateID()
    {
        return $this->sAdvertCandidateID;
    }
    /**
     * Set sAdvertCandidateID value
     * @param string $sAdvertCandidateID
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationScore
     */
    public function setSAdvertCandidateID($sAdvertCandidateID = null)
    {
        // validation for constraint: string
        if (!is_null($sAdvertCandidateID) && !is_string($sAdvertCandidateID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sAdvertCandidateID, true), gettype($sAdvertCandidateID)), __LINE__);
        }
        $this->sAdvertCandidateID = $sAdvertCandidateID;
        return $this;
    }
    /**
     * Get sScore value
     * @return string|null
     */
    public function getSScore()
    {
        return $this->sScore;
    }
    /**
     * Set sScore value
     * @param string $sScore
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationScore
     */
    public function setSScore($sScore = null)
    {
        // validation for constraint: string
        if (!is_null($sScore) && !is_string($sScore)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sScore, true), gettype($sScore)), __LINE__);
        }
        $this->sScore = $sScore;
        return $this;
    }
    /**
     * Get sScoreAsJobOwner value
     * @return string|null
     */
    public function getSScoreAsJobOwner()
    {
        return $this->sScoreAsJobOwner;
    }
    /**
     * Set sScoreAsJobOwner value
     * @param string $sScoreAsJobOwner
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationScore
     */
    public function setSScoreAsJobOwner($sScoreAsJobOwner = null)
    {
        // validation for constraint: string
        if (!is_null($sScoreAsJobOwner) && !is_string($sScoreAsJobOwner)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sScoreAsJobOwner, true), gettype($sScoreAsJobOwner)), __LINE__);
        }
        $this->sScoreAsJobOwner = $sScoreAsJobOwner;
        return $this;
    }
}
